# Contributing

I welcome and appreciate contributions from anyone and everyone!

## What should I work on?

You can help most by:
- Logging issues to help improve the code
- Creating pull requests for existing issues

## Before filing an issue

If you have a question, want to request a new feature, or something isn't working the way you expect, take a look at the [existing issues](https://github.com/benelan/arcgis-esm-samples/issues) first. If the issue hasn't already been logged, please create a new one! Some things to consider when filing an issue:

- Use a clear and descriptive title
- Detail what is happening now vs what should happen
- Tell us how to reproduce the issue, including step by step instructions, environment, version, and any other relevant information.
- Can it be reliably reproduced? If not, tell us how often it happens and under what circumstances.
- Did this problem start happening after a recent release or was it always a bug?

## Before submitting a pull request

I am accepting and appreciate pull requests, but please log an issue first. I would hate to turn down your hard work for some reason. In the issue please state that you wish to submit a PR and I will provide feedback and, most likely, approval.

Also, this project follows [conventional commits](https://www.conventionalcommits.org).